package com.liquidnet.service.chime.utils;

import com.liquidnet.service.adam.dto.vo.AdamTagVo;
import com.liquidnet.service.chime.dto.ChimeUserInfoDto;
import com.liquidnet.service.chime.dto.ChimeUserTagDto;
import com.liquidnet.service.chime.dto.NewPageResult;

import java.util.ArrayList;

public class ObjectUtil {
    private static final NewPageResult<ChimeUserInfoDto>  chimeUserInfoDtoPagedResult = new NewPageResult<>();
    private static final ArrayList<ChimeUserTagDto> chimeUserTagDtoList = new ArrayList<>();
    private static final ArrayList<AdamTagVo> adamTagVoArrayList = new ArrayList<>();
    public static NewPageResult<ChimeUserInfoDto> getChimeUserInfoDtoPagedResult() {
        return chimeUserInfoDtoPagedResult.clone();
    }

    public static ArrayList<ChimeUserTagDto> getChimeUserTagDtoList() {
        return (ArrayList<ChimeUserTagDto>)chimeUserTagDtoList.clone();
    }

    public static ArrayList<AdamTagVo> getAdamTagVoArrayList() {
        return (ArrayList<AdamTagVo>)adamTagVoArrayList.clone();
    }
}
